> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ton.org/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://docs.ton.org/feedback

```json
{
  "path": "/ecosystem/api/toncenter/v3/vesting/get-vesting-contracts",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Get Vesting Contracts

> Get vesting contracts by specified filters



## OpenAPI

````yaml get /api/v3/vesting
openapi: 3.0.0
info:
  title: TON Index (Go)
  description: >-
    TON Index collects data from a full node to PostgreSQL database and provides
    convenient API to an indexed blockchain.
  version: 1.2.4-rc
  contact: {}
servers:
  - url: https://toncenter.com
  - url: https://testnet.toncenter.com
security: []
paths:
  /api/v3/vesting:
    get:
      tags:
        - Vesting
      summary: Get Vesting Contracts
      description: Get vesting contracts by specified filters
      operationId: api_v3_get_vesting_contracts
      parameters:
        - name: contract_address
          in: query
          description: 'Vesting contract address in any form. Max: 1000.'
          explode: true
          schema:
            type: array
            items:
              type: string
        - name: wallet_address
          in: query
          description: 'Wallet address to filter by owner or sender. Max: 1000.'
          explode: true
          schema:
            type: array
            items:
              type: string
        - name: check_whitelist
          in: query
          description: Check if wallet address is in whitelist.
          schema:
            type: boolean
            default: false
        - name: limit
          in: query
          description: Limit number of queried rows. Use with *offset* to batch read.
          schema:
            type: integer
            format: int32
            default: 10
            minimum: 1
            maximum: 1000
        - name: offset
          in: query
          description: Skip first N rows. Use with *limit* to batch read.
          schema:
            type: integer
            format: int32
            default: 0
            minimum: 0
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VestingContractsResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RequestError'
      security: []
components:
  schemas:
    VestingContractsResponse:
      type: object
      properties:
        address_book:
          $ref: '#/components/schemas/AddressBook'
        vesting_contracts:
          type: array
          items: 51e7a31a-7263-48ee-aff0-fdcfd0789e44
    RequestError:
      type: object
      properties:
        code:
          type: integer
        error:
          type: string
    AddressBook:
      type: object
      additionalProperties:
        $ref: '#/components/schemas/AddressBookRow'
    AddressBookRow:
      type: object
      properties:
        domain:
          type: string
        interfaces:
          type: array
          items:
            type: string
        user_friendly:
          type: string

````